// Copyright 2006 The Omni Group.  All rights reserved.
//
// $Header: svn+ssh://source.omnigroup.com/Source/svn/Omni/tags/OmniDazzle/1.2/final-v17.1/OmniGroup/Applications/Dazzle/PlugIns/Footprints/FootprintRecord.h 169823 2012-07-17 02:15:52Z wiml $

#import <OmniFoundation/OFObject.h>

@interface com_omnigroup_OmniDazzle_Footprint_Record : NSObject
{
    ODPlugin *_nonretained_plugin;
    NSBundle *_bundle;
    CGPDFDocumentRef _document;
    CGPDFPageRef _nonretained_page; // owned by document
    CGRect _cropBoxRect;
    float _radius;
    
    NSArray *_soundArray;
    
    CIImage *_baseImage;
} 

- initWithBundle:(NSBundle *)bundle plugin:(ODPlugin *)plugin preview:(BOOL)preview;

- (NSString *)bundleIdentifier;
- (NSString *)bundleDisplayName;

- (void)loadSounds;

- (float)radius;
- (void)playSoundAtPosition:(NSPoint)position gain:(float)gain;
- (CIImage *)createImageCenteredAtPoint:(NSPoint)center flipAboutYAxis:(BOOL)flipAboutYAxis scale:(float)scale angle:(float)angle context:(NSObject <ODContext> *)context NS_RETURNS_RETAINED;

@end

